globus_rsl_list(3)

NAME
globus_rsl_list - List Functions

 - List Functions.

SYNOPSIS

  Functions

globus_list_t * globus_list_copy_reverse (globus_list_t *orig)
Create a reverse-order copy of a list.

Detailed Description

List Functions.

Function Documentation

  globus_list_t * globus_list_copy_reverse (globus_list_t * orig)

Create a reverse-order copy of a list. The globus_list_copy_reverse() function creates and returns a copy of its input parameter, with the order of the list elements reversed. This copy is a shallow copy of list nodes, so both the list pointed to by orig and the returned list point to the same list element data.

Parameters
    orig A pointer to the list to copy.

Returns
    Upon success, globus_list_copy_reverse() returns a new list containing the same elements as the list pointed to by orig in reverse order. If an error occurs, globus_list_copy_reverse() returns NULL.

Author

Generated automatically by Doxygen for globus_rsl from the source code.